#include "windows.h"
#include "listfile.h"

LISTICON ICON listfile.ico

LISTMENU MENU
BEGIN
  POPUP   "&Help"
  BEGIN
    MENUITEM "&About ListFile ...",    ID_ABOUT
  END
END

ABOUTBOX DIALOG 22, 17, 160, 68
STYLE DS_MODALFRAME | WS_CAPTION | WS_SYSMENU
CAPTION "About ListFile"
BEGIN
  ICON            LISTICON,-1,5,5,20,24
  LTEXT           "ListFile DDE Sample Application",-1,34,5,150,10,NOT WS_GROUP
  LTEXT           " Version: 2.00",ID_IGNORE,34,15,150,10,NOT WS_GROUP
  LTEXT           "© Copyright IBM Corp. 1991,1996", -1, 34, 25, 150,10,NOT WS_GROUP
  LTEXT           "           All rights reserved.",-1, 34,35,150,10,NOT WS_GROUP
  DEFPUSHBUTTON   "&OK",IDOK,50,50,60,15,NOT WS_TABSTOP
END

STRINGTABLE
BEGIN
  LS_COMMAND_LINE_ERROR1, "ListFile command line must specify a session ID, 'LISTFILE /A'"
  LS_TITLE_TEXT,          "ListFile Sample Application Session: "
  LS_DDE_TOKENS,          "3270LIST LISTFILE FILEMASK GETLIST IBM327032 SESSION KEYS PS"
  LS_16STR_FORMAT,        "%s %s %s %s %s %s %s %s %s %s %s %s %s %s %s %s"
  LS_LISTFILE_COMMAND,    "[sendkey(clear,wait inp inh,%cLISTFILE %s %c,enter,wait inp inh,pause,pause)]"
  LS_CLEARSCREEN_COMMAND, "[sendkey(clear,wait inp inh,pause,pause)]"
END


#ifndef _MAC
/////////////////////////////////////////////////////////////////////////////
//
// Version
//

VS_VERSION_INFO VERSIONINFO
 FILEVERSION 1,0,0,1
 PRODUCTVERSION 1,0,0,1
 FILEFLAGSMASK 0x3fL
#ifdef _DEBUG
 FILEFLAGS 0x1L
#else
 FILEFLAGS 0x0L
#endif
 FILEOS 0x4L
 FILETYPE 0x1L
 FILESUBTYPE 0x0L
BEGIN
    BLOCK "StringFileInfo"
    BEGIN
        BLOCK "040904B0"
        BEGIN
            VALUE "CompanyName", "\0"
            VALUE "FileDescription", "LISTFILE MFC Application\0"
            VALUE "FileVersion", "1, 0, 0, 1\0"
            VALUE "InternalName", "LISTFILE\0"
            VALUE "LegalCopyright", "Copyright © 1997\0"
            VALUE "LegalTrademarks", "\0"
            VALUE "OriginalFilename", "LISTFILE.EXE\0"
            VALUE "ProductName", "LISTFILE Application\0"
            VALUE "ProductVersion", "1, 0, 0, 1\0"
        END
    END
    BLOCK "VarFileInfo"
    BEGIN
        VALUE "Translation", 0x409, 1200
    END
END

#endif    // !_MAC



